Debian Bug report logs - #591817
ITP: rubinius -- Rubinius is an implementation of the Ruby programming language.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Steven R. Baker" <steven@stevenrbaker.com>

Date: Thu, 5 Aug 2010 18:21:02 UTC

Owned by: Antonio Terceiro <terceiro@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, steven+debian@stevenrbaker.com, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Thu, 05 Aug 2010 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Baker" <steven@stevenrbaker.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, steven+debian@stevenrbaker.com, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Thu, 05 Aug 2010 18:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Steven R. Baker" <steven@stevenrbaker.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: rubinius -- Rubinius is an implementation of the Ruby programming language.
Date: Thu, 05 Aug 2010 11:02:19 -0700
Package: wnpp
Severity: wishlist
Owner: "Steven R. Baker" <steven-debian@stevenrbaker.com>

* Package name    : rubinius
  Version         : 1.0.1
  Upstream Author : Evan Phoenix <ephoenix@engineyard.com>
* URL             : http://www.rubini.us/
* License         : BSD
  Programming Lang: C++, Ruby
  Description     : Rubinius is an implementation of the Ruby programming language.

Rubinius is an implementation of the Ruby programming language. Rubinius
includes a bytecode virtual machine, parser, bytecode compiler, garbage
collector, JIT native machine code compiler, and Ruby core and standard
libraries. Rubinius currently implements Ruby version 1.8.7.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Sat, 25 Sep 2010 10:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Sat, 25 Sep 2010 10:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 591817@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: 591817@bugs.debian.org
Subject: Re: ITP: rubinius -- Rubinius is an implementation of the Ruby programming language.
Date: Sat, 25 Sep 2010 12:17:35 +0200
[Message part 1 (text/plain, inline)]
Hi Steven!

> Package: wnpp
> Severity: wishlist

Do you have anything to test yet?

Ciao,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Sat, 25 Sep 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Baker <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Sat, 25 Sep 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 591817@bugs.debian.org (full text, mbox):

From: Steven Baker <steven@stevenrbaker.com>
To: Martin Steigerwald <Martin@lichtvoll.de>, 591817@bugs.debian.org
Subject: Re: Bug#591817: ITP: rubinius -- Rubinius is an implementation of the Ruby programming language.
Date: Sat, 25 Sep 2010 12:40:30 -0700
Hello,

Just got a bug fixed yesterday, and will have the test packages ready
to go in the next few days.

-Steven

On Sat, Sep 25, 2010 at 3:17 AM, Martin Steigerwald <Martin@lichtvoll.de> wrote:
> Hi Steven!
>
>> Package: wnpp
>> Severity: wishlist
>
> Do you have anything to test yet?
>
> Ciao,
> --
> Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
> GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Wed, 20 Oct 2010 20:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Wed, 20 Oct 2010 20:09:09 GMT) Full text and rfc822 format available.

Message #20 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steven Baker <steven@stevenrbaker.com>, 591817@bugs.debian.org
Cc: Martin Steigerwald <Martin@lichtvoll.de>
Subject: Re: Bug#591817: ITP: rubinius -- Rubinius is an implementation of the Ruby programming language.
Date: Wed, 20 Oct 2010 21:45:53 +0200
Hi,

On 25/09/10 at 12:40 -0700, Steven Baker wrote:
> Hello,
> 
> Just got a bug fixed yesterday, and will have the test packages ready
> to go in the next few days.

Ping?

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 28 Dec 2010 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <jimmy@deefa.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 28 Dec 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 591817@bugs.debian.org (full text, mbox):

From: James Healy <jimmy@deefa.com>
To: 591817@bugs.debian.org
Subject: ping
Date: Tue, 28 Dec 2010 12:40:22 +1100
Rubinius 1.2 has been released, it'd be awesome to have it available
in debian (even experimental for now).

Has there been any progress?

James




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Wed, 29 Dec 2010 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Baker <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Wed, 29 Dec 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #30 received at 591817@bugs.debian.org (full text, mbox):

From: Steven Baker <steven@stevenrbaker.com>
To: James Healy <jimmy@deefa.com>, 591817@bugs.debian.org
Subject: Re: Bug#591817: ping
Date: Wed, 29 Dec 2010 00:03:16 -0800
Yes. I built 1.2 packages, meeting with my mentor in a day or two to
get them uploaded.

Thanks,

-Steven

On Mon, Dec 27, 2010 at 5:40 PM, James Healy <jimmy@deefa.com> wrote:
> Rubinius 1.2 has been released, it'd be awesome to have it available
> in debian (even experimental for now).
>
> Has there been any progress?
>
> James
>
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Mon, 10 Jan 2011 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Mon, 10 Jan 2011 08:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steven Baker <steven@stevenrbaker.com>, 591817@bugs.debian.org
Cc: James Healy <jimmy@deefa.com>
Subject: Re: Bug#591817: ping
Date: Mon, 10 Jan 2011 09:02:41 +0100
On 29/12/10 at 00:03 -0800, Steven Baker wrote:
> Yes. I built 1.2 packages, meeting with my mentor in a day or two to
> get them uploaded.

Hi,

Any news on that?

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Thu, 17 Mar 2011 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to antono.vasiljev@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Thu, 17 Mar 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #40 received at 591817@bugs.debian.org (full text, mbox):

From: Antono Vasiljev <antono.vasiljev@gmail.com>
To: Steven Baker <steven@stevenrbaker.com>, 591817@bugs.debian.org, James Healy <jimmy@deefa.com>
Cc: debian-ruby <debian-ruby@lists.debian.org>
Subject: Bug#591817
Date: Thu, 17 Mar 2011 23:23:26 +0200
I prepared rubinius package for Ubuntu Natty[1]. You can get source from
my github repository[2].

Some people reported that it works for them. However I think it need
more work and comments from more experienced debian developer.


[1]: https://launchpad.net/~antono/+archive/rubinius
[2]: https://github.com/antono/rubinius

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Baker <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 591817@bugs.debian.org (full text, mbox):

From: Steven Baker <steven@stevenrbaker.com>
To: Antonio Terceiro <terceiro@softwarelivre.org>
Cc: Antono Vasiljev <antono.vasiljev@gmail.com>, 591817@bugs.debian.org, James Healy <jimmy@deefa.com>, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817
Date: Tue, 29 Mar 2011 10:02:30 -0700
My package is waiting for my mentor to check it over.

I suppose I could make a repository and publish that.

-Steven

On 2011-03-29, at 10:01 AM, Antonio Terceiro wrote:

> Hi Antono,
> 
> Antono Vasiljev escreveu isso aí:
>> I prepared rubinius package for Ubuntu Natty[1]. You can get source from
>> my github repository[2].
>> 
>> Some people reported that it works for them. However I think it need
>> more work and comments from more experienced debian developer.
>> 
>> 
>> [1]: https://launchpad.net/~antono/+archive/rubinius
>> [2]: https://github.com/antono/rubinius
> 
> Thanks for working on this.
> 
> However, I tried to build your package (from github source with
> git-buildpackage) and it misses build dependencies on Debian unstable
> right now (most notably llvm-2.8*). Is ir a hard dependency, or it would
> build with llvm-2.7?
> 
> Would you prapare a Debian unstable package? Alternatively you could
> also ping the LLVM packaging team to check whether we are going to have
> llvm-2.8 on unstable soon ...
> 
> -- 
> Antonio Terceiro <terceiro@softwarelivre.org>
> http://softwarelivre.org/terceiro
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 17:09:05 GMT) Full text and rfc822 format available.

Message #50 received at 591817@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: Antono Vasiljev <antono.vasiljev@gmail.com>
Cc: Steven Baker <steven@stevenrbaker.com>, 591817@bugs.debian.org, James Healy <jimmy@deefa.com>, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817
Date: Tue, 29 Mar 2011 10:01:31 -0700
[Message part 1 (text/plain, inline)]
Hi Antono,

Antono Vasiljev escreveu isso aí:
> I prepared rubinius package for Ubuntu Natty[1]. You can get source from
> my github repository[2].
> 
> Some people reported that it works for them. However I think it need
> more work and comments from more experienced debian developer.
> 
> 
> [1]: https://launchpad.net/~antono/+archive/rubinius
> [2]: https://github.com/antono/rubinius

Thanks for working on this.

However, I tried to build your package (from github source with
git-buildpackage) and it misses build dependencies on Debian unstable
right now (most notably llvm-2.8*). Is ir a hard dependency, or it would
build with llvm-2.7?

Would you prapare a Debian unstable package? Alternatively you could
also ping the LLVM packaging team to check whether we are going to have
llvm-2.8 on unstable soon ...

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://softwarelivre.org/terceiro


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 18:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Baker <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 18:39:05 GMT) Full text and rfc822 format available.

Message #55 received at 591817@bugs.debian.org (full text, mbox):

From: Steven Baker <steven@stevenrbaker.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 591817@bugs.debian.org, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817
Date: Tue, 29 Mar 2011 11:36:25 -0700
>> My package is waiting for my mentor to check it over.
>> 
>> I suppose I could make a repository and publish that.
> 
> I suppose that would be a good idea, yes. But maybe you could contribute
> to Antono's packaging effort instead?

Why would I contribute to a packaging effort that is newer than my own? I don't understand.

-Steven





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 18:54:03 GMT) Full text and rfc822 format available.

Message #60 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steven Baker <steven@stevenrbaker.com>
Cc: 591817@bugs.debian.org, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817
Date: Tue, 29 Mar 2011 20:50:22 +0200
On 29/03/11 at 11:36 -0700, Steven Baker wrote:
> >> My package is waiting for my mentor to check it over.
> >> 
> >> I suppose I could make a repository and publish that.
> > 
> > I suppose that would be a good idea, yes. But maybe you could contribute
> > to Antono's packaging effort instead?
> 
> Why would I contribute to a packaging effort that is newer than my own? I don't understand.

Your effort started on August 5th.

On Sep 25th, you said "you would have the test packages ready to go in
the next few days".

On Oct 20th, I pinged the bug report, Ccing you, but you did not reply.

On Dec 29th, you said you were "meeting with your mentor in a day or two
to get them uploaded".

On Jan 10th, I pinged you again, without reply.


So, after 7 months:
- we still haven't seen any code from you
- we don't know who your mentor is
- you have been repeatably ignoring pings


When you do you plan to make your code public? What are your plans
regarding co-maintainance? What are your plans regarding ruby libraries
packaged in Debian?

Maintaining a package that is part of the
Ruby toolchain requires strong commitment and availability. I don't want
to discourage you from contributing to Debian, but I hope that you will
do so with the help of more experienced contributors, and not on your
own.

  Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 19:00:03 GMT) Full text and rfc822 format available.

Message #65 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steven Baker <steven@stevenrbaker.com>
Cc: 591817@bugs.debian.org, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817
Date: Tue, 29 Mar 2011 20:35:02 +0200
On 29/03/11 at 10:02 -0700, Steven Baker wrote:
> My package is waiting for my mentor to check it over.
> 
> I suppose I could make a repository and publish that.

I suppose that would be a good idea, yes. But maybe you could contribute
to Antono's packaging effort instead?

Also, please don't top-post.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 19:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Baker <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 19:24:02 GMT) Full text and rfc822 format available.

Message #70 received at 591817@bugs.debian.org (full text, mbox):

From: Steven Baker <steven@stevenrbaker.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 591817@bugs.debian.org
Cc: debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817:
Date: Tue, 29 Mar 2011 12:20:58 -0700
[snip]

> 
> When you do you plan to make your code public? What are your plans
> regarding co-maintainance? What are your plans regarding ruby libraries
> packaged in Debian?
> 
> Maintaining a package that is part of the
> Ruby toolchain requires strong commitment and availability. I don't want
> to discourage you from contributing to Debian, but I hope that you will
> do so with the help of more experienced contributors, and not on your
> own.

The two pings slipped by, sorry about that. I wasn't aware a significant number of people outside of my own echo chamber were terribly interested in Rubinius packages. I'm doing it out of self interest, and the specific request of the Rubinius team. If others are more interested, that's excellent news!

I have been waiting for about a month for mentor to check over most recent stuff. I will ping him today and see if I should try something new.

-Steven





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 29 Mar 2011 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 29 Mar 2011 19:30:03 GMT) Full text and rfc822 format available.

Message #75 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Steven Baker <steven@stevenrbaker.com>
Cc: 591817@bugs.debian.org, debian-ruby <debian-ruby@lists.debian.org>
Subject: Re: Bug#591817:
Date: Tue, 29 Mar 2011 21:27:05 +0200
On 29/03/11 at 12:20 -0700, Steven Baker wrote:
> I have been waiting for about a month for mentor to check over most recent stuff. I will ping him today and see if I should try something new.

Why don't you put the package on mentors.d.n or somewhere on the web?

Unless your secret mentor is active in Debian/Ruby, it's probably a good
idea to have the package reviewed by one of us anyway.

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Sun, 10 Apr 2011 01:31:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to antono.vasiljev@gmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Sun, 10 Apr 2011 01:31:36 GMT) Full text and rfc822 format available.

Message #80 received at 591817@bugs.debian.org (full text, mbox):

From: Antono Vasiljev <antono.vasiljev@gmail.com>
To: 591817 <591817@bugs.debian.org>
Date: Sat, 09 Apr 2011 19:01:12 +0300
> However, I tried to build your package (from github source with
> git-buildpackage) and it misses build dependencies on Debian unstable
> right now (most notably llvm-2.8*). Is ir a hard dependency, or it would
> build with llvm-2.7?
> 
> Would you prapare a Debian unstable package? Alternatively you could
> also ping the LLVM packaging team to check whether we are going to have
> llvm-2.8 on unstable soon ...

Yesterday I tried to build it with llvm-2.7. No success. Probably we
should wait for llvm-2.8 in sid. I'll ping llvm team.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Wed, 04 May 2011 04:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <james@yob.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Wed, 04 May 2011 04:21:09 GMT) Full text and rfc822 format available.

Message #85 received at 591817@bugs.debian.org (full text, mbox):

From: James Healy <james@yob.id.au>
To: 591817@bugs.debian.org
Subject: llvm 2.8
Date: Wed, 4 May 2011 14:18:24 +1000
llvm 2.8 is now available in sid and wheezy, has there been any progress?

James




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Wed, 04 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Baker" <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Wed, 04 May 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #90 received at 591817@bugs.debian.org (full text, mbox):

From: "Steven R. Baker" <steven@stevenrbaker.com>
To: James Healy <james@yob.id.au>, 591817@bugs.debian.org
Subject: Re: Bug#591817: llvm 2.8
Date: Tue, 03 May 2011 21:31:45 -0700
On 11-05-03 9:18 PM, James Healy wrote:
> llvm 2.8 is now available in sid and wheezy, has there been any progress?
>
> James
>
>
Aha!

Thank you. I will get my packages updated for this. I was depending on 
the custom-compiled llvm2.8 and I didn't really like it.

I'll also need a new mentor/sponsor for this, but I'll check on 
#debian-ruby and #debian-mentors.

Thanks,
-Steven





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Sun, 08 May 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "antono.vasiljev@gmail.com" <antono.vasiljev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Sun, 08 May 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #95 received at 591817@bugs.debian.org (full text, mbox):

From: "antono.vasiljev@gmail.com" <antono.vasiljev@gmail.com>
To: 591817@bugs.debian.org, "Steven R. Baker" <steven@stevenrbaker.com>
Date: Sun, 8 May 2011 23:26:00 +0300
> Thank you. I will get my packages updated for this. I was depending on
> the custom-compiled llvm2.8 and I didn't really like it.

Do we have a chance to see public repo with your efforts?
It's about duplication of work.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Sun, 08 May 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Baker" <steven@stevenrbaker.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Sun, 08 May 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #100 received at 591817@bugs.debian.org (full text, mbox):

From: "Steven R. Baker" <steven@stevenrbaker.com>
To: "antono.vasiljev@gmail.com" <antono.vasiljev@gmail.com>, 591817@bugs.debian.org
Subject: Re: Bug#591817:
Date: Sun, 08 May 2011 13:33:09 -0700
On 11-05-08 1:26 PM, antono.vasiljev@gmail.com wrote:
>> Thank you. I will get my packages updated for this. I was depending on
>> the custom-compiled llvm2.8 and I didn't really like it.
> Do we have a chance to see public repo with your efforts?
> It's about duplication of work.
>
>
Just arrived home from traveling, I will throw what I have up Mon or 
Tues this week so we can get moving.

-Steven





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 06 Sep 2011 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 06 Sep 2011 05:51:03 GMT) Full text and rfc822 format available.

Message #105 received at 591817@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: debian-ruby@lists.debian.org
Cc: 591817@bugs.debian.org
Subject: Rubinius for Debian
Date: Mon, 5 Sep 2011 22:45:44 -0700
[Message part 1 (text/plain, inline)]
Hello all,

Today I took some time to hack on a Debian package for Rubinius
(http://rubini.us/). I was able to reach a state in which it is works,
but there is still *a lot* of stuff to do before having an
archive-quality package. For example our existing pure-Ruby packages
will not be available for the Rubinius interpreter because its
$LOAD_PATH is very different from the $LOAD_PATH in MRI 1.8 and 1.9.

The sources are at
http://anonscm.debian.org/gitweb/?p=collab-maint/rubinius.git;a=summary

This package contains the latest stable release (1.2.4), but I guess it
makes sense to start working right away on the master branch which is supposed
to be released as 2.0 in some time from now.

If anyone feels like hacking on this, the TODO list is in debian/TODO.
(But I would rather have people working to migrate our existing packages
to the new policy ;-))

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>:
Bug#591817; Package wnpp. (Tue, 06 Sep 2011 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Steven R. Baker" <steven-debian@stevenrbaker.com>. (Tue, 06 Sep 2011 06:48:03 GMT) Full text and rfc822 format available.

Message #110 received at 591817@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 591817@bugs.debian.org
Cc: control@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#591817: Rubinius for Debian
Date: Tue, 6 Sep 2011 08:45:22 +0200
# changing owner to register the fact that Antonio has a working package
owner 591817 Antonio Terceiro <terceiro@debian.org>
thanks

On 05/09/11 at 22:45 -0700, Antonio Terceiro wrote:
> Hello all,
> 
> Today I took some time to hack on a Debian package for Rubinius
> (http://rubini.us/). I was able to reach a state in which it is works,
> but there is still *a lot* of stuff to do before having an
> archive-quality package. For example our existing pure-Ruby packages
> will not be available for the Rubinius interpreter because its
> $LOAD_PATH is very different from the $LOAD_PATH in MRI 1.8 and 1.9.

Hi,

Thanks a lot for working on this (even if I agree: transitioning is the
priority :P)

I think it makes sense to work closely with upstream on this package, to
get it in an appropriate shape without carrying too many patches on our
side. Have you contacted them?

Lucas




Owner changed from "Steven R. Baker" <steven-debian@stevenrbaker.com> to Antonio Terceiro <terceiro@debian.org>. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 06 Sep 2011 06:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#591817; Package wnpp. (Tue, 06 Sep 2011 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <jimmy@deefa.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Tue, 06 Sep 2011 07:54:03 GMT) Full text and rfc822 format available.

Message #117 received at 591817@bugs.debian.org (full text, mbox):

From: James Healy <jimmy@deefa.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 591817@bugs.debian.org
Subject: Re: Bug#591817: Rubinius for Debian
Date: Tue, 6 Sep 2011 17:51:43 +1000
> On 05/09/11 at 22:45 -0700, Antonio Terceiro wrote:
>> Today I took some time to hack on a Debian package for Rubinius
>> (http://rubini.us/). I was able to reach a state in which it is works,
>> but there is still *a lot* of stuff to do before having an
>> archive-quality package. For example our existing pure-Ruby packages
>> will not be available for the Rubinius interpreter because its
>> $LOAD_PATH is very different from the $LOAD_PATH in MRI 1.8 and 1.9.

Awesome, thanks for sharing the work.

It might be best to stick with packaging 1.2.x for now, [1] suggests
2.0 might still be some way off.

James

[1] http://status.rubini.us/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#591817; Package wnpp. (Tue, 06 Sep 2011 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 06 Sep 2011 14:33:06 GMT) Full text and rfc822 format available.

Message #122 received at 591817@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 591817@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#591817: Rubinius for Debian
Date: Tue, 6 Sep 2011 07:30:52 -0700
[Message part 1 (text/plain, inline)]
Hi,

Lucas Nussbaum escreveu isso aí:
> I think it makes sense to work closely with upstream on this package, to
> get it in an appropriate shape without carrying too many patches on our
> side.

Sure, specially because fluent Japanese won't be a requirement for that. ;-)

> Have you contacted them?

The one change I did to the upstream configure script was already
submitted on github against the current master. I will contact the
mailing list with a list of issues sometime soon.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#591817; Package wnpp. (Sun, 20 May 2012 11:30:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <james@yob.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Sun, 20 May 2012 11:30:31 GMT) Full text and rfc822 format available.

Message #127 received at 591817@bugs.debian.org (full text, mbox):

From: James Healy <james@yob.id.au>
To: 591817@bugs.debian.org
Subject: Updated packaging
Date: Sun, 20 May 2012 21:27:14 +1000
For anyone interested in trying Rubinius without resorting to RVM,
I've updated Antonio's packaging from September with a snapshot of the
master branch from upstream.

It's still not archive ready, but it's progress.

The repository is currently on my github account [1] and can be built
with git-buildpackage.

James

[1] https://github.com/yob/debian-rubinius




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#591817; Package wnpp. (Tue, 06 Nov 2012 22:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <james@yob.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Tue, 06 Nov 2012 22:15:07 GMT) Full text and rfc822 format available.

Message #132 received at 591817@bugs.debian.org (full text, mbox):

From: James Healy <james@yob.id.au>
To: 591817@bugs.debian.org
Subject: Re: Updated packaging
Date: Tue, 6 Nov 2012 23:11:11 +0100
I've updated my github repo [1] with rubinius 2.0.0rc1.

It's still not archive ready, but it's something. Antonio - can we
touch base on what needs to be done to get this in a state suitable
for experimental?

James

> [1] https://github.com/yob/debian-rubinius



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:57:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.